Loading...
Searching...
No Matches
volk_32f_s32f_s32f_mod_range_32f.h File Reference
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_s32f_s32f_mod_range_32f_generic (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_u_avx (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_a_avx (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_u_sse2 (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_a_sse2 (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_u_sse (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_a_sse (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)
static void | volk_32f_s32f_s32f_mod_range_32f_neon (float *outputVector, const float *inputVector, const float lower_bound, const float upper_bound, unsigned int num_points)

## Function Documentation

## volk_32f_s32f_s32f_mod_range_32f_a_avx()

void volk_32f_s32f_s32f_mod_range_32f_a_avx | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_a_sse()

void volk_32f_s32f_s32f_mod_range_32f_a_sse | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_a_sse2()

void volk_32f_s32f_s32f_mod_range_32f_a_sse2 | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_generic()

void volk_32f_s32f_s32f_mod_range_32f_generic | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_neon()

void volk_32f_s32f_s32f_mod_range_32f_neon | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_u_avx()

void volk_32f_s32f_s32f_mod_range_32f_u_avx | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_u_sse()

void volk_32f_s32f_s32f_mod_range_32f_u_sse | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_s32f_mod_range_32f_u_sse2()

void volk_32f_s32f_s32f_mod_range_32f_u_sse2 | ( | float * | outputVector,
|  | const float * | inputVector,
|  | const float | lower_bound,
|  | const float | upper_bound,
|  | unsigned int | num_points )

inline static